import UIKit

class ViewController: UIViewController {

    // 这里可以根据情况来选择默认的文字颜色
    var style:UIStatusBarStyle = .lightContent
    
    override var preferredStatusBarStyle: UIStatusBarStyle {
        return self.style
    }
    
    override func viewDidLoad() {
        super.viewDidLoad()
        // Do any additional setup after loading the view.
    }

    @IBAction func statusBarColorSwitch(_ sender: Any) {
        if self.style == .lightContent {
            self.view.backgroundColor = UIColor.white
            self.style = .default
        } else {
            // rgb(136,198,255)
            self.view.backgroundColor = UIColor(red: CGFloat(0.533333), green: CGFloat(0.776471), blue: CGFloat(1.0), alpha: CGFloat(1.0))
            self.style = .lightContent
        }
        setNeedsStatusBarAppearanceUpdate()
    }
    
}

